Loading...
Searching...
No Matches
Module Class Reference

`#include <Ideal.h>`

## Public Member Functions

| Module (ideal i, ring r)
ideal | as_module () const
| Module (iterator first, iterator last, const allocator_type &__a=allocator_type())
| Module ()
Public Member Functions inherited from IdealBase< Vector >
| IdealBase ()
ring | getRing () const
Vector & | operator[] (int n)
void | push_back (const Vector &p)
void | push_front (const Vector &p)
iterator | begin ()
iterator | end ()
size_type | size () const
iterator | insert (iterator __position, const value_type &__x)
iterator | erase (iterator __position)

## Additional Inherited Members

Public Types inherited from IdealBase< Vector >
typedef Vector | value_type
typedef std::vector< Vector >::size_type | size_type
typedef std::vector< Vector >::iterator | iterator
typedef std::vector< Vector >::difference_type | difference_type
typedef std::vector< Vector >::allocator_type | allocator_type
Protected Attributes inherited from IdealBase< Vector >
std::vector< Vector > | storage

## Detailed Description

Definition at line 119 of file Ideal.h.

## Constructor & Destructor Documentation

## Module() [1/3]

Module::Module | ( | ideal | i,
|  | ring | r )

inline

Definition at line 123 of file Ideal.h.

{
for(int j=0;j<IDELEMS(i);j++)
{
storage.push_back(Vector(i->m[j],r));
}
}
i
int i
Definition cfEzgcd.cc:132
IdealBase< Vector >::storage
std::vector< Vector > storage
Definition Ideal.h:11
j
int j
Definition facHensel.cc:110
IDELEMS
#define IDELEMS(i)
Definition simpleideals.h:23

## Module() [2/3]

Module::Module | ( | iterator | first,
|  | iterator | last,
|  | const allocator_type & | __a = allocator_type() )

inline

Definition at line 151 of file Ideal.h.

:
IdealBase<Vector>(first,last,__a)
{}
IdealBase< Vector >::IdealBase
IdealBase()
Definition Ideal.h:18
last
STATIC_VAR poly last
Definition hdegree.cc:1138

## Module() [3/3]

Module::Module | ( |  | ) |

inline

Definition at line 156 of file Ideal.h.

{}

## Member Function Documentation

## as_module()

ideal Module::as_module | ( |  | ) | const

inline

Definition at line 130 of file Ideal.h.

{
//no checks for rings
int s=size();
if (s==0)
s=1;
ideal result=idInit(s,1);
result->m[0]=NULL;
s=size();
for(int i=0;i<s;i++)
{
result->m[i]=storage[i].as_poly();
}
if (size()==0)
result->rank=0;
else
result->rank=id_RankFreeModule(result,storage[0].getRing());
return result;
}
IdealBase< Vector >::size
size_type size() const
Definition Ideal.h:61
IdealBase< Vector >::getRing
ring getRing() const
Definition Ideal.h:26
result
return result
Definition facAbsBiFact.cc:76
s
const CanonicalForm int s
Definition facAbsFact.cc:51
NULL
#define NULL
Definition omList.c:12
idInit
ideal idInit(int idsize, int rank)
initialise an ideal / module
Definition simpleideals.cc:35
id_RankFreeModule
long id_RankFreeModule(ideal s, ring lmRing, ring tailRing)
return the maximal component number found in any polynomial in s
Definition simpleideals.cc:992

The documentation for this class was generated from the following file:

- Singular/dyn_modules/python/Ideal.h